$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.1.24-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.1.24-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'D13D7D3F04C52E139EFC4AF9E7F21CF34DDE01C6AC70AB214FABEF52063108EE'
  checksumType = 'sha256'
  checksum64 = 'D13D7D3F04C52E139EFC4AF9E7F21CF34DDE01C6AC70AB214FABEF52063108EE'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.1.24-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
